<?php
/**
 * Implements hook_thumbnav_lib().
 * Developer hook to add support for a new library
 */
function hook_thumbnav_lib() {
  $touch_libs = array();
  // account for quojs being installed
  if (module_exists('quojs')) { // check library has been added
    $touch_libs['quojs'] = array(
      'name' => 'Quo.js', // human name of the project
      'location' => drupal_get_path('module', 'thumbnav') .'/thumbnav_libs/thumbnav_quo.js', // location of the library implementation to load
    );
  }
  return $touch_libs;
}

/**
 * Implements hook_thumbnav_widget().
 * Hook to add actions to the controller activated by swiping
 */
function hook_thumbnav_widget() {
  $widgets = array(
    'mooc_thumbnav_bookmark' => array( // key name, needs to be unique
      'icon' => base_path() . drupal_get_path('module', 'mooc_thumbnav') . '/images/bookmark.png', // full path to icon
      'title' => t('Bookmark page'), // human readable name
      'inc' => base_path() . drupal_get_path('module', 'mooc_thumbnav') . '/js/mooc_thumbnav_bookmark.js', // js to include
      'weight' => 1, // weight of the item to appear
    ),
    'book_touch_next' => array(
      'icon' => base_path() . drupal_get_path('module', 'book_touch') . '/images/nextpage.png',
      'title' => t('Next page'),
      'inc' => base_path() . drupal_get_path('module', 'book_touch') . '/js/book_touch_next.js',
      'weight' => 0,
    ),
  );
  return $widgets;
}
?>